Generate share token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to create a new share token for Reusable KYC or Copy Applicant services.

❗️

Important

Share tokens are invalidated after usage.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/accessTokens/shareToken' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "applicantId": "63e092c51b7b4030f2e01154",
            "forClientId": "CoolCoinLtd",
            "ttlInSecs": 600
        }'

Response explained

In the response, you will get a new share token.

The following fields are returned:

FieldDescription
tokenThe share token generated upon execution of the request.
forClientIdUnique partner identifier as specified in the request.

The following is a response example:

{
  "token": "eyJhbGciOiJub25lIn0.eyJqdGkiOiJfYWN0LTZmODI2ZTU0LTE2MzctNDViMS05NzMyLWY1MjZiN2YxNWE3YyIsInVybCI6Imh0dHBzOi8vYXBpLnN1bXN1Yi5jb20ifQ.",
  "forClientId": "CoolCoinLtd"
}
📘

Note

Make sure your integration code does not validate or analyze the access token content, as the format is not fixed and may undergo further changes in the future. The token must be treated as an arbitrary string with the maximum length of 1KB.


Body Params
string
required

Unique identifier of the user who passed user verification (KYC or KYB). You can share this identifier with your partners.

string
required

Unique identifier of the partner with whom the applicantId can be shared (ask the partner for their id).

You can also obtain this identifier in the following ways:

  • From the Dashboard — visible in the top-left corner of the applicant profile, adjacent to the applicant identifier.
  • From the Get applicant data API response — in the root clientId field.
int32

The lifespan of the generated token in seconds.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!